<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('machine_statuses', function (Blueprint $table) {
            $table->id();
            $table->string('branch_name');
            $table->string('hostname');
            $table->string('ip')->nullable();
            $table->decimal('cpu', 5, 2)->nullable();
            $table->unsignedInteger('memory')->nullable();
            $table->decimal('disk', 10, 2)->nullable();
            $table->string('status');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('machine_statuses');
    }
};
